FreeMat

- Main Page
- Related Pages

GCF Get Current Figure

Section: Handle-Based Graphics

# Usage

Returns the figure number for the current figure (which is also its handle, and can be used to set properties of the current figure using `set`). The syntax for its use is

      figure_number = gcf

where `figure_number` is the number of the active figure (also the handle of the figure).

Note that figures have handles, just like axes, images, plots, etc. However the handles for figures match the figure number (while handles for other graphics objects tend to be large, somewhat arbitrary integers). So, to retrieve the colormap of the current figure, you could use `get(gcf,'colormap')`, or to obtain the colormap for figure 3, use `get(3,'colormap')`.